Name:           apfc-release
Version:        1
Release:        2
Summary:        AFI Packages for Fedora Linux repository configuration

Group:          System Environment/Base
License:        GPL
URL:            http://afi.jinr.ru/pub/apel

# This is a distributor maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.

Source0:        http://afi.jinr.ru/pub/apel/RPM-GPG-KEY-APEL
Source1:        GPL
Source2:        apfc.repo
Source3:        apfc-testing.repo

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      fedora-release >=  %{version}

%description
This package contains the AFI (russian for Physical Research Automation) public repository configuration.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-APEL

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} %{SOURCE3}  \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*


%changelog
* Mon Jun 22 2015 Ilja Slepnev <Ilja.Slepnev@jinr.ru> - 1.2
- Updated repository key

* Wed Jun  9 2010 Ilja Slepnev <Ilja.Slepnev@jinr.ru> - 1.1
- Replaced release number by $releasever macro

* Wed Feb 17 2010 Ilja Slepnev <Ilja.Slepnev@jinr.ru> -
- Initial Package for Fedora 12

* Thu Jul  9 2009 Ilja Slepnev <Ilja.Slepnev@jinr.ru> -
- Initial Package for Fedora 11

* Thu Nov 27 2008 Ilja Slepnev <Ilja.Slepnev@jinr.ru> -
- Initial Package for Fedora 10

* Wed Nov 26 2008 Ilja Slepnev <Ilja.Slepnev@jinr.ru> -
- Initial Package for RHEL 5
